Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Boundary< T > Class Template Reference

The template class represents rectangular boundaries. More...

`#include <Boundary.h>`

List of all members.

## Public Member Functions
| Boundary ()
| Constructor.
| Boundary (T min, T max)
| Constructor.
void | add (const Vector2< T > &p)
| The function enlarges the boundary so that it also includes the specified point.
void | add (const Boundary< T > &b)
| The function enlarges the boundary so that it also includes another boundary.
bool | isInside (const Vector2< T > &p) const
| The function checks whether a certain point is enclosed by the boundary.
## Public Attributes
Range< T > | x
| The range in x-direction.
Range< T > | y
| The range in y-direction.

## Detailed Description

### template<class T>
class Boundary< T >

The template class represents rectangular boundaries.

Definition at line 18 of file Boundary.h.

## Constructor & Destructor Documentation

template<class T>
Boundary< T >::Boundary | ( |  | ) | `[inline]`

| Constructor. Definition at line 27 of file Boundary.h.

template<class T>
Boundary< T >::Boundary | ( | T | min,
|  | T | max
| ) | `[inline]`

  | Constructor. This constructor allows to specify the minimum and maximum values for type T, e.g. -HUGE_VAL and HUGE_VAL for double. These limits are used to construct the object, so that it can adapt to any boundary later. Parameters:
  min | The minimum value of T.
  max | The maximum value of T.
Definition at line 37 of file Boundary.h.

## Member Function Documentation

template<class T>
void Boundary< T >::add | ( | const Vector2< T > & | p | ) | `[inline]`

  | The function enlarges the boundary so that it also includes the specified point. Parameters:
  p | The point.
Definition at line 44 of file Boundary.h. Referenced by ConditionalBoundary::add(), and CircleCalculation::getBoundary().

template<class T>
void Boundary< T >::add | ( | const Boundary< T > & | b | ) | `[inline]`

  | The function enlarges the boundary so that it also includes another boundary. Parameters:
  b | The other boundary.
Definition at line 54 of file Boundary.h.

template<class T>
bool Boundary< T >::isInside | ( | const Vector2< T > & | p | ) | const`[inline]`

  | The function checks whether a certain point is enclosed by the boundary. Parameters:
  p | The point.
Returns: Lies the point inside the boundary? Definition at line 65 of file Boundary.h.

## Member Data Documentation

template<class T>
Range<T> Boundary< T >::x

| The range in x-direction. Definition at line 21 of file Boundary.h. Referenced by Boundary< double >::add(), and CircleCalculation::getBoundary().

template<class T>
Range<T> Boundary< T >::y

| The range in y-direction. Definition at line 21 of file Boundary.h. Referenced by Boundary< double >::add(), and CircleCalculation::getBoundary().

The documentation for this class was generated from the following file:

- Tools/Boundary.h